%define name    qtads
%define version 2.1.6
%define release %mkrel 2

Name:           %{name} 
Summary:        GUI multimedia interpreter for TADS games
Version:        %{version} 
Release:        %{release} 
Source0:	http://downloads.sourceforge.net/project/qtads/qtads-2.x/%{version}/%{name}-%{version}.tar.bz2
URL:            http://qtads.sourceforge.net/
License:        GPLv2+
Group:          Games/Adventure
BuildRequires:  qt4-devel SDL-devel SDL_mixer-devel SDL_sound-devel
Suggests:	timidity-instruments

%description
QTads is a cross-platform multimedia interpreter for Tads (Text Adventure 
Development System) games. Both Tads versions in use today (Tads 2 and Tads 3)
are supported. MIDI, Ogg Vorbis, MP3, and WAV sound formats are supported.

TADS is a programming language written by Michael J. Roberts, designed to 
implement text-adventure games (Interactive Fiction), similar to those 
developed by Infocom in 1980-1990, as well as other companies (like Legend 
Entertainment, Level 9, etc). If you liked games like "Zork", "Adventure", 
"Trinity", or "Eric the Unready", you'll feel right at home.

%prep
%setup -q

%build 
%qmake_qt4 \
    BIN_INSTALL=%{buildroot}%{_bindir} \
    DOC_INSTALL=%{buildroot}%{_datadir}/doc \
    DATA_INSTALL=%{buildroot}%{_datadir} \
    CFLAGS="$RPM_OPT_FLAGS" \
    CXXFLAGS="$RPM_OPT_FLAGS"

%make

%install
rm -rf %{buildroot}
#%makeinstall #there is no make install option at the moment, must be done manually
mkdir -p %{buildroot}%{_bindir}
cp qtads  %{buildroot}%{_bindir}/qtads
mkdir -p %{buildroot}%{_mandir}/man6
cp -f %{name}.6 %{buildroot}%{_mandir}/man6

%{__mkdir_p} %{buildroot}%{_datadir}/applications
%{__cat} > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=GUI multimedia interpreter for TADS games
Exec=%{name}
Icon=other_amusement
Terminal=false
Type=Application
Categories=Game;AdventureGame;RolePlaying;
EOF


%files
%defattr(-,root,root,0755)
%doc AUTHORS COPYING INSTALL NEWS README HTML_TADS_LICENSE
%{_mandir}/man6/*
%{_bindir}/qtads
#%{_datadir}/qtads/charmaps/* #no more needed ?
#%{_datadir}/qtads/i18n/* #no more needed ?
%{_datadir}/applications/%{name}.desktop


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.1.6-2.mga3
+ Revision: 379964
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + malo <malo>
    - fix RPM group

* Thu Jan 03 2013 stormi <stormi> 2.1.6-1.mga3
+ Revision: 338372
- new version 2.1.6

* Sun Mar 04 2012 stormi <stormi> 2.1.2-1.mga2
+ Revision: 218237
- new version 2.1.2
- clean spec file

* Fri Mar 11 2011 stormi <stormi> 2.1.1-1.mga1
+ Revision: 68238
- new version 2.1.1

* Thu Jan 27 2011 stormi <stormi> 2.0.1-4.mga1
+ Revision: 41518
- rename desktop file
- imported package qtads

